## GucharmapChaptersView GucharmapChaptersView |

## Synopsis

                        GucharmapChaptersViewPrivate;
                        GucharmapChaptersView;
    GtkWidget *         gucharmap_chapters_view_new         (void);
    void                gucharmap_chapters_view_set_model   (GucharmapChaptersView *view,
                                                             GucharmapChaptersModel *model);
    GucharmapChaptersModel * gucharmap_chapters_view_get_model
                                                            (GucharmapChaptersView *view);
    gboolean            gucharmap_chapters_view_select_character
                                                            (GucharmapChaptersView *view,
                                                             gunichar wc);
    GucharmapCodepointList * gucharmap_chapters_view_get_codepoint_list
                                                            (GucharmapChaptersView *view);
    GucharmapCodepointList * gucharmap_chapters_view_get_book_codepoint_list
                                                            (GucharmapChaptersView *view);
    void                gucharmap_chapters_view_next        (GucharmapChaptersView *view);
    void                gucharmap_chapters_view_previous    (GucharmapChaptersView *view);
    gchar *             gucharmap_chapters_view_get_selected
                                                            (GucharmapChaptersView *view);
    gboolean            gucharmap_chapters_view_set_selected
                                                            (GucharmapChaptersView *view,
                                                             const gchar *name);
    gboolean            gucharmap_chapters_view_select_locale
                                                            (GucharmapChaptersView *view);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTreeView
                                     +----GucharmapChaptersView

## Implemented Interfaces

GucharmapChaptersView implements AtkImplementorIface and GtkBuildable.

## Description

## Details

### GucharmapChaptersViewPrivate

    typedef struct _GucharmapChaptersViewPrivate GucharmapChaptersViewPrivate;

### GucharmapChaptersView

    typedef struct _GucharmapChaptersView GucharmapChaptersView;

### gucharmap_chapters_view_new ()

    GtkWidget *         gucharmap_chapters_view_new         (void);

Returns : |

### gucharmap_chapters_view_set_model ()

    void                gucharmap_chapters_view_set_model   (GucharmapChaptersView *view,
                                                             GucharmapChaptersModel *model);

`view` : |
`model` : |

### gucharmap_chapters_view_get_model ()

    GucharmapChaptersModel * gucharmap_chapters_view_get_model
                                                            (GucharmapChaptersView *view);

`view` : |
Returns : |

### gucharmap_chapters_view_select_character ()

    gboolean            gucharmap_chapters_view_select_character
                                                            (GucharmapChaptersView *view,
                                                             gunichar wc);

`view` : | a GucharmapChaptersView
`wc` : | a character
Returns : | `TRUE` on success, `FALSE` on failure.

### gucharmap_chapters_view_get_codepoint_list ()

    GucharmapCodepointList * gucharmap_chapters_view_get_codepoint_list
                                                            (GucharmapChaptersView *view);

`view` : | a GucharmapChaptersView
Returns : | a reference to a GucharmapCodepointList representing all the characters in all the chapters. It should not be modified, but must be `g_object_unref()`'d after use.

### gucharmap_chapters_view_get_book_codepoint_list ()

    GucharmapCodepointList * gucharmap_chapters_view_get_book_codepoint_list
                                                            (GucharmapChaptersView *view);

`view` : |
Returns : |

### gucharmap_chapters_view_next ()

    void                gucharmap_chapters_view_next        (GucharmapChaptersView *view);

`view` : |

### gucharmap_chapters_view_previous ()

    void                gucharmap_chapters_view_previous    (GucharmapChaptersView *view);

Moves to the previous chapter if applicable.

`view` : | a GucharmapChapters

### gucharmap_chapters_view_get_selected ()

    gchar *             gucharmap_chapters_view_get_selected
                                                            (GucharmapChaptersView *view);

`view` : |
Returns : |

### gucharmap_chapters_view_set_selected ()

    gboolean            gucharmap_chapters_view_set_selected
                                                            (GucharmapChaptersView *view,
                                                             const gchar *name);

`view` : |
`name` : |
Returns : |

### gucharmap_chapters_view_select_locale ()

    gboolean            gucharmap_chapters_view_select_locale
                                                            (GucharmapChaptersView *view);

`view` : |
Returns : |